/**
 * 	App Content CSS
 */
div.application{
    background: #fff;
    color: #333;

    margin:0 auto;

    /*
    border-radius: 3px 3px 0px 0px;
    -webkit-border-radius: 3px 3px 0px 0px;
    -moz-border-radius: 3px 3px 0px 0px;
    */
    -moz-box-shadow: 0px 0px 3px #ccc;
    -webkit-box-shadow: 0px 0px 3px #ccc;
    box-shadow: 0px 0px 3px #ccc;
}

div.application .row, div.application-dialog .row, div.application-fullscreen-modal .row{
    margin: auto;
}

div.application-dialog{
    background: #fff;
    color: #333;

    position: relative;
}

div.application-fullscreen-modal{
    background: #fff;
    color: #333;

    /*
    border-radius: 3px 3px 0px 0px;
    -webkit-border-radius: 3px 3px 0px 0px;
    -moz-border-radius: 3px 3px 0px 0px;
    */
    -moz-box-shadow: 0px 0px 3px #ccc;
    -webkit-box-shadow: 0px 0px 3px #ccc;
    box-shadow: 0px 0px 3px #ccc;

    margin: 10px;
}

div.application .main-section{
    padding: 10px;
}

div.application.code{
    background: #272822;
    color: #fff;
}

div.application-component{
    margin:0 auto;

    /*
    border-radius: 3px 3px 0px 0px;
    -webkit-border-radius: 3px 3px 0px 0px;
    -moz-border-radius: 3px 3px 0px 0px;
    */

    -moz-box-shadow: 0px 0px 3px #ccc;
    -webkit-box-shadow: 0px 0px 3px #ccc;
    box-shadow: 0px 0px 3px #ccc;
}

div.application-title{
    font-size:14px;

    border: none;

    /*
    border-radius: 3px 3px 0px 0px;
    -webkit-border-radius: 3px 3px 0px 0px;
    -moz-border-radius: 3px 3px 0px 0px;
    */

    line-height: 2.5em;
}

div.application-title header{
    /*border-bottom: 1px solid #eee;*/
    padding: 5px 0 5px 0;
    margin: 0 10px 0 10px;
}

div.application-title header .button{
    margin-left: 10px;
    margin-top: -9px;
}

div.application-subtitle{
    font-size:20px;
    font-weight:bold;

    margin-bottom:10px;
}

.application-button{
    margin: 0 .5em .5em 0;
}

.application-button label{
    margin-top: .5em;
    color: #fff;
}

div.application.header-only{
    margin-bottom: 10px;
}

div.application.header-only div.application-title {
    border-radius: 3px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
}

div.application.header-only div.application-title header{
    border: none;
}

.application-catalog-buttons .row{
    margin-bottom: .5em;
}

div.application.small div.application-title{
    font-size: 14px;
}

div.application.small div.application-title header{
    padding: 10px 0 10px 0;
    margin: 0 10px 0 10px;
}

div.application.small div.application-content{
    font-size: 12px;
}

div.application.small div.application-title input{
    width: auto;
    display: inline;
}

div.application-content{
    font-size: 14px;

    padding: 20px;

    /*
    border-radius: 0px 0px 3px 3px;
    -webkit-border-radius: 0px 0px 3px 3px;
    -moz-border-radius: 0px 0px 3px 3px;
    */

    border: none;

    margin:0px 0px 10px 0px;
}

div.application-content .search{
    padding:0;
    height: auto;
    position: inherit;
    color: #000;
    border:none;
}

div.application.dashboard-form .application-content, div.application.dashboard-view .application-content {
    min-height: 400px;
}

div.application.dashboard-form .application-content .inner-wrap, div.application.dashboard-view .application-content .inner-wrap {
    min-height: 400px;
}

div.dashboard-view label {
    font-size: 14px;
    font-weight: bold;
    padding: 5px;
}

div.dashboard-view .label-value {
    font-size: 14px;
    padding: 0px 0px 0px 30px;
}

div.application-footer{
    font-size:20px;

    border: none;

    /*
    border-radius: 3px 3px 0px 0px;
    -webkit-border-radius: 3px 3px 0px 0px;
    -moz-border-radius: 3px 3px 0px 0px;
    */
}

div.application-footer footer{
    border-top: 1px solid #eee;
    padding: 20px 0 20px 0;
    margin: 0 20px 0 20px;
}

div.application-footer footer .button{
    margin-left: 10px;
    margin-top: -9px;
}

.application-ej-dialog{
}

.application-ej-dialog .e-header {
    background: #12B2E2;
    color: #fff !important;
    border: none;
}

.application-ej-dialog .e-header .e-dialog-icon .e-icon:before, .application-ej-dialog .e-header .e-dialog-icon .e-icon:after, .application-dialog .e-header .e-dialog-icon .e-icon{
    color: #fff !important;
}

/*Utilities*/
.full-width{
    width: 100%;
}

/* Blocked loader */
.application-loader{
    font-size: 12px;

    background: #000;
    color: #fff;

    border: none;

    padding: 20px;
    margin: auto;

    /*
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    */

    box-shadow: 2px 2px 5px #008CBA;
    -webkit-box-shadow: 2px 2px 5px #008CBA;
    -moz-box-shadow: 2px 2px 5px #008CBA;

    text-align: center;
    width: 110px;

    position: fixed;
    z-index: 9999;

    right: 10px;
    top: 10px;
}

.application-loader img{
    margin: 0 auto;
}

.application-loader .application-loader-message{
    margin-top: 1em;
    text-align: center;
}

.main-menu{
    font-size: 20px;
}

.form-block{
    margin-bottom: 20px;
}

.form-tab-bar-left-button{
    float: left;
}

[ng-drag].dragging {
    opacity: 0.5;
}
[ng-drop] div {
    position: relative;
    z-index: 2;
}

ul.dropdown {
    max-height: 300px;
    overflow-y: scroll;
}

.dialog-templates table{
    background: none;
}

.dialog-templates table thead{
    background: none;
}

.dialog-templates table tbody{
    background: none;
}

.dialog-templates table tr.even, table tr.alt, table tr:nth-of-type(even) {
    background: none;
}

.ae-toolbar, .ae-toolbar-add{
    z-index: 10000;
}

td.error, th.error{
    background: #C00005;
    color: #fff;
}

td input[type="text"], td input[type="email"], td input[type="tel"],
td input[type="search"], td input[type="url"], td input[type="password"],
.ui-autocomplete-input, td textarea, td .uneditable-input{
    margin: 0;
}

th input[type="text"], th input[type="email"], th input[type="tel"],
th input[type="search"], th input[type="url"], th input[type="password"],
.ui-autocomplete-input, th textarea, th .uneditable-input{
    margin: 0;
}

.top-bar-section .has-dropdown > a:after {
    /*border-color: #FFF rgba(0, 0, 0, 0) rgba(0, 0, 0, 0);*/
}

.top-bar-section .has-dropdown.not-click > a:after {
    /*border-color: #039BE5 rgba(0, 0, 0, 0) rgba(0, 0, 0, 0);*/
}